Skip to main content
GET
/
api
/
v1
/
datasets
/
{dataset_id}
/
annotation-sets
/
{annotation_set_id}
/
export
/
label-studio
Export Label Studio
curl --request GET \
  --url https://api.example.com/api/v1/datasets/{dataset_id}/annotation-sets/{annotation_set_id}/export/label-studio \
  --header 'X-API-Key: <api-key>'
{
  "tasks": [
    {
      "id": 123,
      "data": {},
      "annotations": [
        {
          "id": 123,
          "result": [
            {
              "id": "<string>",
              "value": {},
              "from_name": "labels",
              "to_name": "audio",
              "type": "labels"
            }
          ],
          "completed_by": 1,
          "was_cancelled": false,
          "ground_truth": true
        }
      ]
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Path Parameters

dataset_id
string<uuid>
required
annotation_set_id
string<uuid>
required

Response

Successful Response

Full Label Studio export.

tasks
LabelStudioTask · object[]
required